Skip to content

Email Accounts

All operations require authentication.

22 operationsv1/email/pro
Agent setup

List email accountsAlpha

GET
/1.0/email/pro/{service}/account

Returns the email addresses of the email accounts of the service. Filter them by primaryEmailAddress or id.

Path parameters

service
required
string

Service

Query parameters

id
integer

Filter the value of id property (like)

primaryEmailAddress
string

Filter the value of primaryEmailAddress property (like)

Response

200string[]successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an email accountAlpha

GET
/1.0/email/pro/{service}/account/{email}

Returns the login, names, domain, state, quota and usage of the email account, its renewal and expiration settings, and its spam and virus configuration.

Path parameters

email
required
string

Email

service
required
string

Service

Response

200AccountNativesuccessful operation
SAMAccountName
read-only
string

SAM account name

configured
read-only
boolean

Indicates if the account is configured

creationDate
read-only
stringdate-time

Creation date

currentUsage
read-only
integer

Mailbox usage

deleteAtExpiration
read-only
boolean

delete at expiration

displayName
read-only
string

Account display name

domain
read-only
string

Email domain

expirationDate
read-only
stringdate-time

expiration date

expirationOutlookDate
read-only
stringdate-time

expiration date

firstName
read-only
string

Account first name

hiddenFromGAL
read-only
boolean

Hide account in Global Address List

id
read-only
integer

Account id

initial
read-only
string

Account initials

lastLogoffDate
read-only
stringdate-time

Last logoff

lastLogonDate
read-only
stringdate-time

Last logon

lastName
read-only
string

Account last name

lastUpdateDate
read-only
stringdate-time

Last update

login
read-only
string

Account login

mailingFilter
read-only
MailingFilterEnum[]

Enable or disable anti-virus and anti-spam

Valuesvaderetro
passwordLastUpdate
read-only
stringdate-time

Time of account's password last update

primaryEmailAddress
read-only
string

Default email for this mailbox

quota
read-only
integer

Account maximum size

renewPeriod
read-only
renewPeriodEnum

change the renew period

Valuesmonthlyyearly
spamAndVirusConfiguration
read-only
spamAndVirusConfiguration

Spam and Antivirus configuration

spamDetected
read-only
boolean

Account was sending spam

spamTicketNumber
read-only
integer

Ticket number of spam detection

state
read-only
ObjectStateEnum

Account state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending tasks for this account

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "SAMAccountName": "string", "configured": true, "creationDate": "2024-01-01T12:00:00Z", "currentUsage": 0, "deleteAtExpiration": true, "displayName": "string", "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "expirationOutlookDate": "2024-01-01T12:00:00Z", "firstName": "string", "hiddenFromGAL": true, "id": 0, "initial": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "lastUpdateDate": "2024-01-01T12:00:00Z", "login": "string", "mailingFilter": [ "vaderetro" ], "passwordLastUpdate": "2024-01-01T12:00:00Z", "primaryEmailAddress": "string", "quota": 0, "renewPeriod": "monthly", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "spamDetected": true, "spamTicketNumber": 0, "state": "creating", "taskPendingId": 0}

Delete an email accountProduction

DELETE
/1.0/email/pro/{service}/account/{email}

Delete an email account. Deletes the email account of the Email Pro service and returns the task. Follow it under task/{id}.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update an email accountProduction

PUT
/1.0/email/pro/{service}/account/{email}

Update an email account. Updates the login, names, domain, quota, renewal period, deletion at expiration, Global Address List visibility and spam and virus configuration of the email account.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Request body (required)

SAMAccountName
read-only
string

SAM account name

configured
read-only
boolean

Indicates if the account is configured

creationDate
read-only
stringdate-time

Creation date

currentUsage
read-only
integer

Mailbox usage

deleteAtExpiration
boolean

delete at expiration

displayName
string

Account display name

domain
string

Email domain

expirationDate
read-only
stringdate-time

expiration date

expirationOutlookDate
read-only
stringdate-time

expiration date

firstName
string

Account first name

hiddenFromGAL
boolean

Hide account in Global Address List

id
read-only
integer

Account id

initial
string

Account initials

lastLogoffDate
read-only
stringdate-time

Last logoff

lastLogonDate
read-only
stringdate-time

Last logon

lastName
string

Account last name

lastUpdateDate
read-only
stringdate-time

Last update

login
string

Account login

mailingFilter
MailingFilterEnum[]

Enable or disable anti-virus and anti-spam

Valuesvaderetro
passwordLastUpdate
read-only
stringdate-time

Time of account's password last update

primaryEmailAddress
read-only
string

Default email for this mailbox

quota
integer

Account maximum size

renewPeriod
renewPeriodEnum

change the renew period

Valuesmonthlyyearly
spamAndVirusConfiguration
spamAndVirusConfiguration

Spam and Antivirus configuration

spamDetected
read-only
boolean

Account was sending spam

spamTicketNumber
read-only
integer

Ticket number of spam detection

state
read-only
ObjectStateEnum

Account state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending tasks for this account

Response

200—successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email} \
  -H "authorization: Bearer $OVH_TOKEN"

Change an email account passwordProduction

POST
/1.0/email/pro/{service}/account/{email}/changePassword

Change an email account password. Sets the new password of the email account and returns the task that applies it.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Request body (required)

password
required
stringpassword

new password

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Terminate an email account at expirationProduction

POST
/1.0/email/pro/{service}/account/{email}/terminate

Terminate an email account at expiration. Sets the email account to be suspended at its expiration date, and returns a message giving that date.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Response

200stringsuccessful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List account aliasesAlpha

GET
/1.0/email/pro/{service}/account/{email}/alias

Returns the aliases of the email account: extra addresses that deliver to the same mailbox.

Path parameters

email
required
string

Email

service
required
string

Service

Response

200string[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/alias \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an account aliasAlpha

GET
/1.0/email/pro/{service}/account/{email}/alias/{alias}

Returns the alias address, its creation date and the ID of its pending task, if any (taskPendingId).

Path parameters

alias
required
string

Alias

email
required
string

Email

service
required
string

Service

Response

200AccountAliassuccessful operation
alias
read-only
string

Alias

creationDate
read-only
stringdate-time

Creation date

taskPendingId
read-only
integer

Pending task id

Example uses alias = string, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/alias/{alias} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "alias": "string", "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Create an account aliasProduction

POST
/1.0/email/pro/{service}/account/{email}/alias

Create an account alias. Adds the alias address to the email account, so that it receives its emails, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Request body (required)

alias
required
string

Alias

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/alias \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete an account aliasProduction

DELETE
/1.0/email/pro/{service}/account/{email}/alias/{alias}

Delete an account alias. Removes the alias address from the email account, which no longer receives its emails, and returns the task.

Path parameters

alias
required
string

Alias

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses alias = string, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/alias/{alias} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List full access permissionsAlpha

GET
/1.0/email/pro/{service}/account/{email}/fullAccess

Returns the IDs of the accounts that have full access to the email account.

Path parameters

email
required
string

Email

service
required
string

Service

Response

200integer[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/fullAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a full access permissionAlpha

GET
/1.0/email/pro/{service}/account/{email}/fullAccess/{allowedAccountId}

Returns the ID of the account that has full access to the email account, and the creation date of the permission.

Path parameters

allowedAccountId
required
integer

Allowed account ID

email
required
string

Email

service
required
string

Service

Response

200AccountFullAccesssuccessful operation
allowedAccountId
read-only
integer

Account id to give full access

creationDate
read-only
stringdate-time

Creation date

taskPendingId
read-only
integer

Pending task id

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/fullAccess/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Add a full access permissionProduction

POST
/1.0/email/pro/{service}/account/{email}/fullAccess

Add a full access permission. Gives the account allowedAccountId full access to the email account, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Request body (required)

allowedAccountId
required
integer

User to give full access

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/fullAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a full access permissionProduction

DELETE
/1.0/email/pro/{service}/account/{email}/fullAccess/{allowedAccountId}

Remove a full access permission. Withdraws the access of the allowed account to the mailbox of this email account, and returns the task.

Path parameters

allowedAccountId
required
integer

Account id to give full access

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/fullAccess/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List send as permissionsAlpha

GET
/1.0/email/pro/{service}/account/{email}/sendAs

Returns the IDs of the accounts allowed to send emails as the email account.

Path parameters

email
required
string

Email

service
required
string

Service

Response

200integer[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendAs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a send as permissionAlpha

GET
/1.0/email/pro/{service}/account/{email}/sendAs/{allowedAccountId}

Returns the ID of the account allowed to send emails as the email account, and the creation date of the permission.

Path parameters

allowedAccountId
required
integer

Allowed account ID

email
required
string

Email

service
required
string

Service

Response

200AccountSendAssuccessful operation
allowedAccountId
read-only
integer

Account id to give send as

creationDate
read-only
stringdate-time

Creation date

taskPendingId
read-only
integer

Pending task id

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendAs/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Add a send as permissionProduction

POST
/1.0/email/pro/{service}/account/{email}/sendAs

Add a send as permission. Allows the account allowAccountId to send emails as the email account, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Request body (required)

allowAccountId
required
integer

Account id to allow to send mails from this mailbox

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendAs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a send as permissionProduction

DELETE
/1.0/email/pro/{service}/account/{email}/sendAs/{allowedAccountId}

Remove a send as permission. Withdraws the right of the allowed account to send emails as this email account, and returns the task.

Path parameters

allowedAccountId
required
integer

Account id to give send as

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendAs/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List send on behalf permissionsAlpha

GET
/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo

Returns the IDs of the accounts allowed to send emails on behalf of the email account.

Path parameters

email
required
string

Email

service
required
string

Service

Response

200integer[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a send on behalf permissionAlpha

GET
/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId}

Returns the ID of the account allowed to send emails on behalf of the email account, and the creation date of the permission.

Path parameters

allowedAccountId
required
integer

Allowed account ID

email
required
string

Email

service
required
string

Service

Response

200AccountSendOnBehalfTosuccessful operation
allowedAccountId
read-only
integer

Account id to give send on behalf to

creationDate
read-only
stringdate-time

Creation date

taskPendingId
read-only
integer

Pending task id

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Add a send on behalf permissionProduction

POST
/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo

Add a send on behalf permission. Allows the account allowAccountId to send emails on behalf of the email account, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Request body (required)

allowAccountId
required
integer

Account id to allow to send On Behalf To mails from this mailbox

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a send on behalf permissionProduction

DELETE
/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId}

Remove a send on behalf permission. Withdraws the right of the allowed account to send emails on behalf of this email account, and returns the task.

Path parameters

allowedAccountId
required
integer

Account id to give send on behalf to

email
required
string

Default email for this mailbox

service
required
string

The internal name of your pro organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}